## org.biojava.bio.structure.io.mmcif
Interface MMcifConsumer

All Known Implementing Classes:
  ChemCompConsumer, SimpleMMcifConsumer

    public interface MMcifConsumer

An interface for the events triggered by a MMcifParser. The Consumer listens to the events and builds up the protein structure.

Since:
  1.7
Author:
  Andreas Prlic

Method Summary
`void` `documentEnd()` called at end of document
`void` `documentStart()` called at start of document
`void` `newAtomSite(AtomSite atom)` A new AtomSite record has been read.
`void` `newChemComp(ChemComp c)`
`void` `newDatabasePDBremark(DatabasePDBremark remark)`
`void` `newDatabasePDBrev(DatabasePDBrev dbrev)`
`void` `newEntity(Entity entity)`
`void` `newEntityPolySeq(EntityPolySeq epolseq)`
`void` `newExptl(Exptl exptl)`
`void` `newGenericData(String category, List<String> loopFields, List<String> lineData)` This method is called if no particular handler for the provided cif category has been implemented so far.
`void` `newPdbxEntityNonPoly(PdbxEntityNonPoly pen)`
`void` `newPdbxNonPolyScheme(PdbxNonPolyScheme ppss)`
`void` `newPdbxPolySeqScheme(PdbxPolySeqScheme ppss)`
`void` `newRefine(Refine r)`
`void` `newStructAsym(StructAsym sasym)`
`void` `newStructKeywords(StructKeywords kw)`
`void` `newStructRef(StructRef sref)`
`void` `newStructRefSeq(StructRefSeq sref)`
`void` `setStruct(Struct struct)`

Method Detail

### documentStart

    void documentStart()

  called at start of document

### documentEnd

    void documentEnd()

  called at end of document

### newAtomSite

    void newAtomSite(AtomSite atom)

  A new AtomSite record has been read. Contains the Atom data

  Parameters:
    `atom` -

### newEntity

    void newEntity(Entity entity)

### newEntityPolySeq

    void newEntityPolySeq(EntityPolySeq epolseq)

### newStructAsym

    void newStructAsym(StructAsym sasym)

### setStruct

    void setStruct(Struct struct)

### newDatabasePDBrev

    void newDatabasePDBrev(DatabasePDBrev dbrev)

### newDatabasePDBremark

    void newDatabasePDBremark(DatabasePDBremark remark)

### newExptl

    void newExptl(Exptl exptl)

### newStructRef

    void newStructRef(StructRef sref)

### newStructRefSeq

    void newStructRefSeq(StructRefSeq sref)

### newPdbxPolySeqScheme

    void newPdbxPolySeqScheme(PdbxPolySeqScheme ppss)

### newPdbxNonPolyScheme

    void newPdbxNonPolyScheme(PdbxNonPolyScheme ppss)

### newPdbxEntityNonPoly

    void newPdbxEntityNonPoly(PdbxEntityNonPoly pen)

### newStructKeywords

    void newStructKeywords(StructKeywords kw)

### newRefine

    void newRefine(Refine r)

### newChemComp

    void newChemComp(ChemComp c)

### newGenericData

    void newGenericData(String category,
                        List<String> loopFields,
                        List<String> lineData)

  This method is called if no particular handler for the provided cif category has been implemented so far.

  Parameters:
    `category` - The category that is being processed.
    `loopFields` - the fields of this category.
    `lineData` - the data that is being provided.